<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->



## Getting started

Make your apps responsive by using this package.

## Usage
MediaQuery is great for making our apps responsive but still it was really hectic to use MediaQuery and write it again and again. So I came up with an idea to make a separate class for mediaquery and extract its powers.

```dart
import 'package:flutter/material.dart';
import 'package:responsive_mediaquery/responsive_mediaquery.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: const MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({Key? key}) : super(key: key);

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    ResponsiveMediaQuery().init(context);
    return Scaffold(
        body: Container(
      width: ResponsiveMediaQuery.horizontalLength*100,
      height:ResponsiveMediaQuery.verticalLength*40,
      color: Colors.blue,
    ));
  }
}

```

## Additional information

TODO: Tell users more about the package: where to find more information, how to 
contribute to the package, how to file issues, what response they can expect 
from the package authors, and more.
